#
# File: Project.mk
# Creator: George Ferguson
# Created: Tue Jun 15 13:38:46 2010
# Time-stamp: <Wed Jun 16 10:29:27 EDT 2010 ferguson>
#

PROJECT_PACKAGE = edu.rochester.cs.WordNet

PROJECT_PACKAGE_DIR = $(subst .,/,$(PROJECT_PACKAGE))

SUBDIRS = $(addprefix $(PROJECT_PACKAGE_DIR)/,wn browser)

PROJECT_MAIN = $(PROJECT_PACKAGE).browser.Browser
PROJECT_SPLASH = $(PROJECT_PACKAGE_DIR)/browser/URCSWordNetBrowser-splash.png

PROJECT_VERSION = $(shell sed -n -e 's/^.*VERSION = "\([^"]*\)".*$$/\1/p' $(PROJECT_PACKAGE_DIR)/browser/Browser.java)

JARFILE = URCSWordNetBrowser-$(PROJECT_VERSION).jar
