#
# File: windows/wininstaller.mk
# Creator: George Ferguson
# Created: Tue Jul  6 13:29:56 2010
# Time-stamp: <Tue Jul  6 14:07:19 EDT 2010 ferguson>
#

PRODUCT_VERSION   = $(PROJECT_VERSION)
PRODUCT_PUBLISHER = University of Rochester Department of Computer Science
PRODUCT_WEB_SITE  = http://www.cs.rochester.edu/research/cisd/wordnet
PROGRAM_EXE       = $(EXE_FILENAME)
OUTFILE           = $(SETUP_FILENAME)

MAKENSIS_INPUT = urcswnb.nsi

installer: $(MAKENSIS_INPUT)
	./nsis/bin/makensis $(MAKENSIS_INPUT)

$(MAKENSIS_INPUT): $(MAKENSIS_INPUT).in Makefile wininstaller.mk
	sed -e 's|@PRODUCT_NAME@|$(PRODUCT_NAME)|' \
	    -e 's|@PRODUCT_VERSION@|$(PRODUCT_VERSION)|' \
	    -e 's|@PRODUCT_PUBLISHER@|$(PRODUCT_PUBLISHER)|' \
	    -e 's|@PRODUCT_WEB_SITE@|$(PRODUCT_WEB_SITE)|' \
	    -e 's|@PROGRAM_EXE@|$(PROGRAM_EXE)|' \
	    -e 's|@OUTFILE@|$(OUTFILE)|' \
	    $< >$@

clean::
	rm -f '$(PRODUCT_NAME) Setup.exe' $(MAKENSIS_INPUT)

